Internal::hashtable_const_iterator(3)

NAME
Internal::hashtable_const_iterator -

SYNOPSIS

Inherits hashtable_iterator_base< Value, cache >.

Detailed Description

  template<typename Value, bool constant_iterators, bool cache> struct Internal::hashtable_const_iterator< Value, constant_iterators, cache >

Definition at line 345 of file hashtable.

  Public Types
typedef std::ptrdiff_t difference_type
typedef std::forward_iterator_tag iterator_category
typedef const Value * pointer
typedef const Value & reference
typedef Value value_type

  Public Member Functions
hashtable_const_iterator (const hashtable_iterator< Value, constant_iterators, cache > &x)
hashtable_const_iterator (hash_node< Value, cache > **b)
hashtable_const_iterator (hash_node< Value, cache > *p, hash_node< Value, cache > **b)
hashtable_const_iterator ()
void incr ()
void m_incr_bucket ()
reference operator * () const
hashtable_const_iterator operator++ (int)
hashtable_const_iterator & operator++ ()
pointer operator-> () const

  Public Attributes
hash_node< Value, cache > ** m_cur_bucket
hash_node< Value, cache > * m_cur_node

Author

Generated automatically by Doxygen for libstdc++ from the source code.